gi-gdkx11-3.0.2: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11DeviceXI2

Contents

- Exported types
- Properties
  - deviceId

Description

No description available in the introspection data.

Synopsis

- newtype X11DeviceXI2 = X11DeviceXI2 (ManagedPtr X11DeviceXI2)
- class GObject o => IsX11DeviceXI2 o
- toX11DeviceXI2 :: (MonadIO m, IsX11DeviceXI2 o) => o -> m X11DeviceXI2
- noX11DeviceXI2 :: Maybe X11DeviceXI2
- constructX11DeviceXI2DeviceId :: IsX11DeviceXI2 o => Int32 -> IO (GValueConstruct o)
- getX11DeviceXI2DeviceId :: (MonadIO m, IsX11DeviceXI2 o) => o -> m Int32

# Exported types

newtype X11DeviceXI2 Source #

Memory-managed wrapper type.

Constructors

X11DeviceXI2 (ManagedPtr X11DeviceXI2) |

Instances

GObject X11DeviceXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2 Methods gobjectType :: X11DeviceXI2 -> IO GType Source #
IsDevice X11DeviceXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2
IsObject X11DeviceXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2
IsX11DeviceXI2 X11DeviceXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2

class GObject o => IsX11DeviceXI2 o Source #

Type class for types which can be safely cast to `X11DeviceXI2`, for instance with `toX11DeviceXI2`.

Instances

(GObject a, (UnknownAncestorError X11DeviceXI2 a :: Constraint)) => IsX11DeviceXI2 a Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2
IsX11DeviceXI2 X11DeviceXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceXI2

toX11DeviceXI2 :: (MonadIO m, IsX11DeviceXI2 o) => o -> m X11DeviceXI2 Source #

Cast to `X11DeviceXI2`, for types for which this is known to be safe. For general casts, use `castTo`.

noX11DeviceXI2 :: Maybe X11DeviceXI2 Source #

A convenience alias for `Nothing` :: `Maybe` `X11DeviceXI2`.

# Properties

## deviceId

No description available in the introspection data.

constructX11DeviceXI2DeviceId :: IsX11DeviceXI2 o => Int32 -> IO (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`device-id`” property. This is rarely needed directly, but it is used by `new`.

getX11DeviceXI2DeviceId :: (MonadIO m, IsX11DeviceXI2 o) => o -> m Int32 Source #

Get the value of the “`device-id`” property. When overloading is enabled, this is equivalent to

    get x11DeviceXI2 #deviceId